PourUnit Class

The PourUnit class represents a pour unit in the model.
Inheritance Hierarchy

Namespace:  Tekla.Structures.Model
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.3
Syntax
[SerializableAttribute]
public class PourUnit : ModelObject

The PourUnit type exposes the following members.

Constructors
  NameDescription
Public methodPourUnit
Initializes a new instance of the PourUnit class
Top
Properties
  NameDescription
Public propertyIdentifier
The identifier of the object.
(Inherited from Object.)
Public propertyIsUpToDate
Gets if the object does not have a modification which is not shared.
(Inherited from ModelObject.)
Public propertyModificationTime
Gets latest time of the object was modified or created.
(Inherited from ModelObject.)
Public propertyName
Gets or sets the name of the pour unit.
Top
Methods
  NameDescription
Public methodCompareTo
Compares Identifiers of model objects.
(Inherited from ModelObject.)
Public methodDelete
At the moment pour units cannot be deleted.
(Overrides ModelObjectDelete.)
Public methodEquals
Check if Identifiers of model objects are same.
(Inherited from ModelObject.)
Public methodCode exampleGetAllReportProperties
Retrieves all properties for the model object in one hashtable. Type for the returned value must be checked using type casting.
(Inherited from ModelObject.)
Public methodGetAllUserProperties
Retrieves all properties for the model object in one hashtable. Type for the returned value must be checked using type casting.
(Inherited from ModelObject.)
Public methodGetChildren
Returns an enumerator of all the children model objects.
(Inherited from ModelObject.)
Public methodGetCoordinateSystem
Returns the coordinate system for the given model object.
(Inherited from ModelObject.)
Public methodGetDoubleReportProperties
Retrieves multiple double report properties for the model object. It is faster to fetch multiple properties at once.
(Inherited from ModelObject.)
Public methodGetDoubleUserProperties
Retrieves all double properties for the model object.
(Inherited from ModelObject.)
Public methodGetDynamicStringProperty
Gets a dynamic string property from the model object.
(Inherited from ModelObject.)
Public methodGetFatherComponent
Returns the father component of the model object.
(Inherited from ModelObject.)
Public methodGetHierarchicObjects
Returns an enumerator of all the connected hierarchic objects.
(Inherited from ModelObject.)
Public methodGetIntegerReportProperties
Retrieves multiple integer report properties for the model object. It is faster to fetch multiple properties at once.
(Inherited from ModelObject.)
Public methodGetIntegerUserProperties
Retrieves all integer properties for the model object.
(Inherited from ModelObject.)
Public methodGetObjects
Returns all objects related to pour unit, pour object not included.
Public methodGetPhase
Retrieves the phase of the model object (the phase number, the phase name, the phase comment and whether the phase is the current one or not).
(Inherited from ModelObject.)
Public methodGetPourObject
Returns the pour object in pour unit.
Public methodGetReportProperty(String, Double)
Retrieves a double property of the report for the model object.
(Inherited from ModelObject.)
Public methodGetReportProperty(String, Int32)
Retrieves an integer property of the report for the model object.
(Inherited from ModelObject.)
Public methodGetReportProperty(String, String)
Retrieves a string property of the report for the model object.
(Inherited from ModelObject.)
Public methodGetStringReportProperties
Retrieves multiple string report properties for the model object. It is faster to fetch multiple properties at once.
(Inherited from ModelObject.)
Public methodGetStringUserProperties
Retrieves all string properties for the model object.
(Inherited from ModelObject.)
Public methodGetUserProperty(String, Double)
Retrieves a double property for the model object.
(Inherited from ModelObject.)
Public methodGetUserProperty(String, Int32)
Retrieves an integer property for the model object.
(Inherited from ModelObject.)
Public methodGetUserProperty(String, String)
Retrieves a string property for the model object.
(Inherited from ModelObject.)
Public methodInsert
At the moment pour units cannot be inserted.
(Overrides ModelObjectInsert.)
Public methodModify
Modifies the pour unit with the given identifier.
(Overrides ModelObjectModify.)
Public methodSelect
Selects the pour unit instance from the model. The identifier of the instance must be set.
(Overrides ModelObjectSelect.)
Public methodSetDynamicStringProperty
Sets a dynamic string property for the model object.
(Inherited from ModelObject.)
Public methodSetLabel
Sets a label for an object when a new instance is created, this method must be called before Insert. The label is used in plug-ins for identifying the changed object in modification.
(Inherited from ModelObject.)
Public methodSetPhase
Sets the phase of the model object.
(Inherited from ModelObject.)
Public methodSetUserProperties
Sets multiple properties for the model object.
(Inherited from ModelObject.)
Public methodSetUserProperty(String, Double)
Sets a double property for the model object.
(Inherited from ModelObject.)
Public methodSetUserProperty(String, Int32)
Sets an integer property for the model object.
(Inherited from ModelObject.)
Public methodSetUserProperty(String, String)
Sets a string property for the model object.
(Inherited from ModelObject.)
Top
Examples
using Tekla.Structures.Model;
using Tekla.Structures.Geometry3d;
using System;
using System.Collections;

public class Example
{
    public void Example1()
    {
        Beam beam = new Beam(new Point(1000, 1000, 400), new Point(3000, 1000, 400));
        beam.Profile.ProfileString = "380*380";
        beam.Material.MaterialString = "K40-1";
        beam.CastUnitType = Part.CastUnitTypeEnum.CAST_IN_PLACE;
        if (beam.Insert())
        {
            Beam beam2 = new Beam(new Point(800, 1000, 0), new Point(800, 1000, 3000));
            beam2.Profile.ProfileString = "380*380";
            beam2.Material.MaterialString = "K40-1";
            beam2.CastUnitType = Part.CastUnitTypeEnum.CAST_IN_PLACE;
            if (beam2.Insert())
            {
                new Model().CommitChanges();
                ModelObjectEnumerator pours = beam.GetPours();
                while (pours.MoveNext())
                {
                    PourObject pour = pours.Current as PourObject;
                    if (pour != null)
                    {
                        Solid solid = pour.GetSolid();
                        if (solid != null)
                            Console.WriteLine("Fetching solid from pour successfully!");
                        PourUnit pourUnit = pour.GetFatherPourUnit();
                        pourUnit.Name = "test";
                        pourUnit.Modify();
                        new Model().CommitChanges();
                    }
                }
            }
        }
    }
}
See Also
Was this helpful?
The feedback you give here is not visible to other users. We use your comments to improve the content.
Previous
Next